TaskPortTypeSOAPBindingStub
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.executor.stubs.bindings
Class TaskPortTypeSOAPBindingStub

    java.lang.Object
      org.apache.axis.client.Stub
          org.gcube.vremanagement.executor.stubs.bindings.TaskPortTypeSOAPBindingStub

All Implemented Interfaces:
  java.rmi.Remote, javax.xml.rpc.Stub, TaskPortType

    public class TaskPortTypeSOAPBindingStub

extends org.apache.axis.client.Stub
implements TaskPortType

Field Summary

Fields inherited from interface javax.xml.rpc.Stub
`ENDPOINT_ADDRESS_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, USERNAME_PROPERTY`

Constructor Summary
`TaskPortTypeSOAPBindingStub()`
`TaskPortTypeSOAPBindingStub(javax.xml.rpc.Service service)`
`TaskPortTypeSOAPBindingStub(java.net.URL endpointURL, javax.xml.rpc.Service service)`

Method Summary
`org.oasis.wsrf.lifetime.DestroyResponse` | `destroy(org.oasis.wsrf.lifetime.Destroy destroyRequest)`
`org.oasis.wsn.GetCurrentMessageResponse` | `getCurrentMessage(org.oasis.wsn.GetCurrentMessage getCurrentMessageRequest)`
`org.oasis.wsrf.properties.GetMultipleResourcePropertiesResponse` | `getMultipleResourceProperties(org.oasis.wsrf.properties.GetMultipleResourceProperties_Element getMultipleResourcePropertiesRequest)`
`org.oasis.wsrf.properties.GetResourcePropertyResponse` | `getResourceProperty(javax.xml.namespace.QName getResourcePropertyRequest)`
`org.oasis.wsrf.properties.QueryResourcePropertiesResponse` | `queryResourceProperties(org.oasis.wsrf.properties.QueryResourceProperties_Element queryResourcePropertiesRequest)`
`org.oasis.wsrf.properties.SetResourcePropertiesResponse` | `setResourceProperties(org.oasis.wsrf.properties.SetResourceProperties_Element setResourcePropertiesRequest)`
`org.oasis.wsrf.lifetime.SetTerminationTimeResponse` | `setTerminationTime(org.oasis.wsrf.lifetime.SetTerminationTime setTerminationTimeRequest)`
`org.gcube.common.core.types.VOID` | `stop(org.gcube.common.core.types.VOID request)`
`org.oasis.wsn.SubscribeResponse` | `subscribe(org.oasis.wsn.Subscribe subscribeRequest)`

Methods inherited from class org.apache.axis.client.Stub
`_getProperty, _getPropertyNames, _getService, _setProperty, addAttachment, clearAttachments, clearHeaders, extractAttachments, getAttachments, getHeader, getHeaders, getPassword, getPortName, getResponseHeader, getResponseHeaders, getTimeout, getUsername, removeProperty, setHeader, setHeader, setMaintainSession, setPassword, setPortName, setPortName, setTimeout, setUsername`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskPortTypeSOAPBindingStub

    public TaskPortTypeSOAPBindingStub()
                                throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

### TaskPortTypeSOAPBindingStub

    public TaskPortTypeSOAPBindingStub(java.net.URL endpointURL,
                                       javax.xml.rpc.Service service)
                                throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

### TaskPortTypeSOAPBindingStub

    public TaskPortTypeSOAPBindingStub(javax.xml.rpc.Service service)
                                throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

Method Detail

### stop

    public org.gcube.common.core.types.VOID stop(org.gcube.common.core.types.VOID request)
                                          throws java.rmi.RemoteException,
                                                 org.gcube.common.core.faults.GCUBERetrySameFault

  Specified by:
    `stop` in interface `TaskPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.gcube.common.core.faults.GCUBERetrySameFault`

### getMultipleResourceProperties

    public org.oasis.wsrf.properties.GetMultipleResourcePropertiesResponse getMultipleResourceProperties(org.oasis.wsrf.properties.GetMultipleResourceProperties_Element getMultipleResourcePropertiesRequest)
                                                                                                  throws java.rmi.RemoteException,
                                                                                                         org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType,
                                                                                                         org.oasis.wsrf.properties.ResourceUnknownFaultType

  Specified by:
    `getMultipleResourceProperties` in interface `TaskPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType`
    `org.oasis.wsrf.properties.ResourceUnknownFaultType`

### getResourceProperty

    public org.oasis.wsrf.properties.GetResourcePropertyResponse getResourceProperty(javax.xml.namespace.QName getResourcePropertyRequest)
                                                                              throws java.rmi.RemoteException,
                                                                                     org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType,
                                                                                     org.oasis.wsrf.properties.ResourceUnknownFaultType

  Specified by:
    `getResourceProperty` in interface `TaskPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType`
    `org.oasis.wsrf.properties.ResourceUnknownFaultType`

### destroy

    public org.oasis.wsrf.lifetime.DestroyResponse destroy(org.oasis.wsrf.lifetime.Destroy destroyRequest)
                                                    throws java.rmi.RemoteException,
                                                           org.oasis.wsrf.lifetime.ResourceUnknownFaultType,
                                                           org.oasis.wsrf.lifetime.ResourceNotDestroyedFaultType

  Specified by:
    `destroy` in interface `TaskPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.lifetime.ResourceUnknownFaultType`
    `org.oasis.wsrf.lifetime.ResourceNotDestroyedFaultType`

### queryResourceProperties

    public org.oasis.wsrf.properties.QueryResourcePropertiesResponse queryResourceProperties(org.oasis.wsrf.properties.QueryResourceProperties_Element queryResourcePropertiesRequest)
                                                                                      throws java.rmi.RemoteException,
                                                                                             org.oasis.wsrf.properties.UnknownQueryExpressionDialectFaultType,
                                                                                             org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType,
                                                                                             org.oasis.wsrf.properties.InvalidQueryExpressionFaultType,
                                                                                             org.oasis.wsrf.properties.QueryEvaluationErrorFaultType,
                                                                                             org.oasis.wsrf.properties.ResourceUnknownFaultType

  Specified by:
    `queryResourceProperties` in interface `TaskPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.properties.UnknownQueryExpressionDialectFaultType`
    `org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType`
    `org.oasis.wsrf.properties.InvalidQueryExpressionFaultType`
    `org.oasis.wsrf.properties.QueryEvaluationErrorFaultType`
    `org.oasis.wsrf.properties.ResourceUnknownFaultType`

### setResourceProperties

    public org.oasis.wsrf.properties.SetResourcePropertiesResponse setResourceProperties(org.oasis.wsrf.properties.SetResourceProperties_Element setResourcePropertiesRequest)
                                                                                  throws java.rmi.RemoteException,
                                                                                         org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType,
                                                                                         org.oasis.wsrf.properties.InvalidSetResourcePropertiesRequestContentFaultType,
                                                                                         org.oasis.wsrf.properties.SetResourcePropertyRequestFailedFaultType,
                                                                                         org.oasis.wsrf.properties.ResourceUnknownFaultType,
                                                                                         org.oasis.wsrf.properties.UnableToModifyResourcePropertyFaultType

  Specified by:
    `setResourceProperties` in interface `TaskPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType`
    `org.oasis.wsrf.properties.InvalidSetResourcePropertiesRequestContentFaultType`
    `org.oasis.wsrf.properties.SetResourcePropertyRequestFailedFaultType`
    `org.oasis.wsrf.properties.ResourceUnknownFaultType`
    `org.oasis.wsrf.properties.UnableToModifyResourcePropertyFaultType`

### setTerminationTime

    public org.oasis.wsrf.lifetime.SetTerminationTimeResponse setTerminationTime(org.oasis.wsrf.lifetime.SetTerminationTime setTerminationTimeRequest)
                                                                          throws java.rmi.RemoteException,
                                                                                 org.oasis.wsrf.lifetime.UnableToSetTerminationTimeFaultType,
                                                                                 org.oasis.wsrf.lifetime.ResourceUnknownFaultType,
                                                                                 org.oasis.wsrf.lifetime.TerminationTimeChangeRejectedFaultType

  Specified by:
    `setTerminationTime` in interface `TaskPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.lifetime.UnableToSetTerminationTimeFaultType`
    `org.oasis.wsrf.lifetime.ResourceUnknownFaultType`
    `org.oasis.wsrf.lifetime.TerminationTimeChangeRejectedFaultType`

### subscribe

    public org.oasis.wsn.SubscribeResponse subscribe(org.oasis.wsn.Subscribe subscribeRequest)
                                              throws java.rmi.RemoteException,
                                                     org.oasis.wsn.TopicNotSupportedFaultType,
                                                     org.oasis.wsn.SubscribeCreationFailedFaultType,
                                                     org.oasis.wsn.InvalidTopicExpressionFaultType,
                                                     org.oasis.wsn.ResourceUnknownFaultType,
                                                     org.oasis.wsn.TopicPathDialectUnknownFaultType

  Specified by:
    `subscribe` in interface `TaskPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsn.TopicNotSupportedFaultType`
    `org.oasis.wsn.SubscribeCreationFailedFaultType`
    `org.oasis.wsn.InvalidTopicExpressionFaultType`
    `org.oasis.wsn.ResourceUnknownFaultType`
    `org.oasis.wsn.TopicPathDialectUnknownFaultType`

### getCurrentMessage

    public org.oasis.wsn.GetCurrentMessageResponse getCurrentMessage(org.oasis.wsn.GetCurrentMessage getCurrentMessageRequest)
                                                              throws java.rmi.RemoteException,
                                                                     org.oasis.wsn.TopicNotSupportedFaultType,
                                                                     org.oasis.wsn.InvalidTopicExpressionFaultType,
                                                                     org.oasis.wsn.ResourceUnknownFaultType,
                                                                     org.oasis.wsn.NoCurrentMessageOnTopicFaultType

  Specified by:
    `getCurrentMessage` in interface `TaskPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsn.TopicNotSupportedFaultType`
    `org.oasis.wsn.InvalidTopicExpressionFaultType`
    `org.oasis.wsn.ResourceUnknownFaultType`
    `org.oasis.wsn.NoCurrentMessageOnTopicFaultType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD